get
https://api.marketcircle.net/v1/groups/
Show the details of a group
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Group Attributes
| Attribute | Type | Description | Attributes |
|---|---|---|---|
self | reference | URL of the Group | Read-only Non-null |
name | string | Name of the group (max 512 characters) | Read-Write Non-null Required Searchable |
details | string | Details (max 2048 characters) | Read-Write Nullable Searchable |
priority | integer | Priority from 0 (none) to 10 | Read-Write Non-null Default value is 0 |
category | string | Category name | Read-Write Nullable Searchable |
keywords | array of string | List of Keywords (max 64) | Read-Write Nullable Searchable |
extra_fields | object | Extra (custom) field values: 12 text fields and 4 date fields. See Contact extra fields for the format, and Group Extra Fields for their names | Read-Write Nullable Searchable |
start | datetime | Start date. Required if end is set | Read-Write Nullable |
end | datetime | End date. Must be after start | Read-Write Nullable |
subgroups | array of reference | URLs of the Groups that are subgroups of this group. See Subgroups | Read-Write Nullable |
parent_group | reference | URL of the Group this group is a subgroup of | Read-Write Nullable |
appointments | array of link | Linked Appointments | Read-Write Nullable Searchable |
contacts | array of link | Linked Contacts | Read-Write Nullable Searchable |
companies | array of link | Linked Companies | Read-Write Nullable Searchable |
forms | array of link | Linked Forms | Read-Write Nullable Searchable |
notes | array of link | Linked Notes | Read-Write Nullable Searchable |
opportunities | array of link | Linked Opportunities | Read-Write Nullable Searchable |
projects | array of link | Linked Projects | Read-Write Nullable Searchable |
tasks | array of link | Linked Tasks | Read-Write Nullable Searchable |
owner | reference | URL of the User responsible for the group | Read-Write Non-null Default value is the user making the request Searchable |
creator | reference | URL of the User that created the group | Read-only Non-null Searchable |
trashed | boolean | Whether the group is in the trash. Set to false to restore it | Read-only Non-null |
create_date | datetime | When the group was created | Read-only Non-null Searchable |
modify_date | datetime | When the group was last updated | Read-only Non-null Searchable |
Subgroups
A group can have up to 32 subgroups, nested at most 5 levels deep.
- To make a group a subgroup, set its
parent_group, or add it to the parent with{"subgroups": {"add": ["/v1/groups/2001"]}}. - To detach a subgroup, set its
parent_grouptonull.
Moving a group to the trash doesn't move its subgroups to the trash, but they are left out of the group list while their parent is in the trash. Permanently deleting a group also permanently deletes its subgroups.